changeset 496:3cebbc0b0723

Rename (invert) NATIVE_NOTOOLCHAIN and NATIVE_NOTOOLSDIR, and tweak colors again.
author Rob Landley <rob@landley.net>
date Mon, 24 Nov 2008 09:09:16 -0600
parents 3f1f3dc6f8a1
children 26f7b57d563f
files config mini-native.sh package-mini-native.sh
diffstat 3 files changed, 26 insertions(+), 21 deletions(-) [+]
line wrap: on
line diff
--- a/config	Sat Nov 22 00:02:09 2008 -0600
+++ b/config	Mon Nov 24 09:09:16 2008 -0600
@@ -4,13 +4,13 @@
 # and busybox.  (Set it to "headers" to include kernel headers if you'd like
 # to add your own toolchain, such as tinycc.)
 
-# export NATIVE_NOTOOLCHAIN=1
-# export NATIVE_NOTOOLCHAIN=headers
+[ -z "$NATIVE_TOOLCHAIN" ] && export NATIVE_TOOLCHAIN=1
+# export NATIVE_TOOLCHAIN=headers
 
-# If this is set, mini-native will built a more conventional filesystem layout
-# instead of a Linux From Scratch style /tools directory.
+# If this is set, mini-native will built a Linux From Scratch style /tools
+# directory instead of a more conventional filesystem layout in /usr.
 
-# export NATIVE_NOTOOLSDIR=1
+# export NATIVE_TOOLSDIR=1
 
 # If this is set, the build records the command lines run by each build into
 # log files in the build directory, ala "build/cmdlines.$PACKAGENAME"
@@ -36,8 +36,11 @@
 # If you'd like to change colors, do so here.  If you want to eliminate colors,
 # comment these out.
 
-export DOWNLOAD_COLOR="\e[34m"
-export HOST_COLOR="\e[37m"
-export CROSS_COLOR="\e[33m"
-export NATIVE_COLOR="\e[35m"
-export PACKAGE_COLOR="\e[36m"
+# Black background 
+export BACKGROUND_COLOR="\e[40m"
+
+export DOWNLOAD_COLOR="$BACKGROUND_COLOR\e[34m"
+export HOST_COLOR="$BACKGROUND_COLOR\e[37m"
+export CROSS_COLOR="$BACKGROUND_COLOR\e[33m"
+export NATIVE_COLOR="$BACKGROUND_COLOR\e[35m"
+export PACKAGE_COLOR="$BACKGROUND_COLOR\e[36m"
--- a/mini-native.sh	Sat Nov 22 00:02:09 2008 -0600
+++ b/mini-native.sh	Mon Nov 24 09:09:16 2008 -0600
@@ -10,7 +10,7 @@
 
 rm -rf "${NATIVE}"
 
-if [ -z "${NATIVE_NOTOOLSDIR}" ]
+if [ ! -z "${NATIVE_TOOLSDIR}" ]
 then
   TOOLS="${NATIVE}/tools"
   mkdir -p "${TOOLS}/bin" || dienow
@@ -107,20 +107,22 @@
 
 cleanup busybox
 
-if [ ! -z "${NATIVE_NOTOOLSDIR}" ]
+if [ -z "${NATIVE_TOOLSDIR}" ]
 then
   sed -i -e 's@/tools/@/usr/@g' "${TOOLS}/bin/qemu-setup.sh" || dienow
 fi
 
-# If you want to use tinycc, you need to keep the headers but don't need gcc.
-if [ ! -z "$NATIVE_NOTOOLCHAIN" ]
+if [ -z "$NATIVE_TOOLCHAIN" ]
+then
+    rm -rf "${TOOLS}"/include &&
+    rm -rf "${TOOLS}/src" || dienow
+
+elif [ "$NATIVE_TOOLCHAIN" == "headers" ]
 then
 
-  if [ "$NATIVE_NOTOOLCHAIN" != "headers" ]
-  then
-    rm -rf "${TOOLS}"/include &&
-    rm -rf "${TOOLS}/src" || dienow
-  fi
+# If you want to use a compiler other than gcc, you need to keep the headers,
+# so do nothing here.
+  echo
 
 else
 
@@ -280,7 +282,7 @@
 
 [ $? -ne 0 ] && dienow
 
-# End of NATIVE_NOTOOLCHAIN
+# End of NATIVE_TOOLCHAIN
 
 fi
 
--- a/package-mini-native.sh	Sat Nov 22 00:02:09 2008 -0600
+++ b/package-mini-native.sh	Mon Nov 24 09:09:16 2008 -0600
@@ -66,7 +66,7 @@
 
 # Adjust things before creating tarball.
 
-if [ ! -z "$NATIVE_NOTOOLSDIR" ]
+if [ -z "$NATIVE_TOOLSDIR" ]
 then
   sed -i 's@/tools/@/usr/@g' "$SYSIMAGE"/*.sh || dienow
 fi